
QGIS Application - Bug report #15578

Pyqgis atlas crash on "render as HTML"

2016-09-19 02:24 AM - Johannes Eberenz

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.14.5 Regression?: No

Operating System: Linux (Ubuntu) Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 23502

Description

I'm using pyqgis to render a composer with atlas. When a text label is set to "render as HTML", the execution crashes. The problem

doesn't occur using a simpel composer without Atlas.

The report leads to WebcoreQt:

SegvAnalysis:

 Segfault happened at: 0x7f42b4b60126 <_ZN7WebCore19initializeWebCoreQtEv+150>:    mov    (%rax),%r9

 PC (0x7f42b4b60126) ok

 source "(%rax)" (0x00000000) not located in a known VMA region (needed readable region)!

 destination "%r9" ok

SegvReason: reading NULL VMA

History

#1 - 2017-03-08 12:22 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

- Priority changed from Normal to High

What about 2.18.4 or qgis3/master? Still true?

#2 - 2017-04-30 09:58 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Description updated

- Subject changed from Pyqgis Atlas crash on "render as HTML" to Pyqgis atlas crash on "render as HTML"

#3 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-11-07 09:20 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#5 - 2019-02-11 04:25 AM - Nyall Dawson
- Status changed from Feedback to Closed

- Resolution set to no timely feedback
